<StackLayout sdkToggleNavButton>
	<ActionBar title="MITABus" class="action-bar" android.icon="res://icon" android.iconVisibility="always">
		<ActionItem text="Salidas" ios.position="right" android.position="popup" (tap)="banderazo()"></ActionItem>
		<Label text="V1.1.6a" class="heading"></Label>
	</ActionBar>
</StackLayout>

<ScrollView class="page">
	<StackLayout class="home-panel form input-field">
		<Label *ngIf="!existeBase" text="Si no hay una base elegida por favor selecciona una" textWrap="true"
		 class="lbl"></Label>

		<!-- Base -->
		<StackLayout orientation="horizontal">
		<Label text="Base: " class="heading"></Label>
		<Label [text]="baseElegida.display" class="heading" *ngIf="existeBase"></Label>
		</StackLayout>

		<StackLayout *ngIf="!existeBase">
			<DropDown #dd
					  [items]="items"
					  [(ngModel)]="selectedIndex"
					  (selectedIndexChanged)="selectedIndexChanged($event)"
					  style="padding: 15; text-align: center"
					  ></DropDown>
			<Button text="Guardar" (tap)="guardarBase()" class="btn btn-primary"></Button>
		</StackLayout>


		 <!-- Scan ODT -->
		<StackLayout *ngIf="existeBase" style="padding-bottom: 20">
			<Button text="Escanear ODT" (tap)="onScan()" class="btn btn-primary"></Button>
		</StackLayout>
		
		 <!-- Scan Otros -->
		<StackLayout  *ngIf="existeBase">
			<Button text="Registrar Otros" (tap)="displayPromptDialog()" class="btn btn-secondary"></Button>
		</StackLayout>

		<StackLayout class="hr-light"></StackLayout>
		


	</StackLayout>
</ScrollView>
